> ## Documentation Index
> Fetch the complete documentation index at: https://docs.e-invoice.be/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inbound Email Detail

> Retrieve a single inbound email by ID, scoped to the caller's tenant.



## OpenAPI

````yaml /openapi.json get /api/mailbox/{inbound_email_id}
openapi: 3.1.0
info:
  title: e-invoice.be Peppol Access Point API
  version: 1.1.0
  x-logo:
    url: https://e-invoice.be/einvoice.svg
servers:
  - url: https://api.e-invoice.be
    description: Production
security: []
paths:
  /api/mailbox/{inbound_email_id}:
    get:
      tags:
        - Mailbox
      summary: Get Inbound Email Detail
      description: Retrieve a single inbound email by ID, scoped to the caller's tenant.
      operationId: get_mailbox_email
      parameters:
        - name: inbound_email_id
          in: path
          required: true
          schema:
            type: string
            title: Inbound Email Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InboundEmailResponse'
        '401':
          description: 'Unauthorized: API key is missing, invalid, or inactive'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: 'Not Found: Inbound email not found'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: 'Internal Server Error: Unexpected server error'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    InboundEmailResponse:
      properties:
        id:
          type: string
          title: Id
        message_id:
          type: string
          title: Message Id
        sender_email:
          type: string
          title: Sender Email
        sender_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Sender Name
        to_addresses:
          anyOf:
            - type: string
            - type: 'null'
          title: To Addresses
        cc_addresses:
          anyOf:
            - type: string
            - type: 'null'
          title: Cc Addresses
        bcc_addresses:
          anyOf:
            - type: string
            - type: 'null'
          title: Bcc Addresses
        subject:
          anyOf:
            - type: string
            - type: 'null'
          title: Subject
        attachments:
          items:
            $ref: '#/components/schemas/AttachmentInfo'
          type: array
          title: Attachments
          default: []
        attachment_count:
          type: integer
          title: Attachment Count
          default: 0
        processed:
          type: boolean
          title: Processed
          default: false
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        received_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Received At
        created_at:
          type: string
          format: date-time
          title: Created At
        processed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Processed At
        document_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Id
      type: object
      required:
        - id
        - message_id
        - sender_email
        - created_at
      title: InboundEmailResponse
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
      description: Error response model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AttachmentInfo:
      properties:
        filename:
          type: string
          title: Filename
        size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size
        content_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Type
      type: object
      required:
        - filename
      title: AttachmentInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````